import 'reflect-metadata'
import {Service} from "typedi"
import {IPost} from "../types"
import {db} from "../includes"

@Service()
export class PostModel {
    async insertPost(post: IPost) {
        return db.query('insert into posts (userId,content,image,status,time) values(?,?,?,?,?)', [
            post.userId, post.content, post.image, post.status, post.time
        ])
    }
}
